// -----------------------------------------------------------------------
// Public interface imports
// -----------------------------------------------------------------------
/**
 *
 */
var RxPostmessengerRequest = /** @class */ (function () {
    /**
     * @param {string} id
     * @param {string} channel
     * @param {*} payload
     * @param {function(data: *): void} responseInjector
     */
    function RxPostmessengerRequest(id, channel, payload, responseInjector) {
        Object.defineProperties(this, {
            _injectResponse: { value: responseInjector },
            channel: { value: channel },
            id: { value: id },
            payload: { value: payload },
        });
    }
    /**
     *
     * @param {*} data
     */
    RxPostmessengerRequest.prototype.respond = function (data) {
        if (this.isComplete) {
            return;
        }
        this._injectResponse(data);
        Object.defineProperty(this, "isComlete", { value: true });
    };
    return RxPostmessengerRequest;
}());
export { RxPostmessengerRequest };
//# sourceMappingURL=request.js.map